# Uses of Interface
java.util.function.IntSupplier

Packages that use IntSupplier
Package
Description
java.util
Contains the collections framework, some internationalization support classes, a service loader, properties, random number generation, string parsing and scanning classes, base64 encoding and decoding, a bit array, and several miscellaneous utility classes.
java.util.stream
Classes to support functional-style operations on streams of elements, such as map-reduce transformations on collections.

## Uses of IntSupplier in java.util

Methods in java.util with parameters of type IntSupplier
Modifier and Type
Method
Description
`int`
OptionalInt.`orElseGet(IntSupplier supplier)`
If a value is present, returns the value, otherwise returns the result produced by the supplying function.

## Uses of IntSupplier in java.util.stream

Methods in java.util.stream with parameters of type IntSupplier
Modifier and Type
Method
Description
`static IntStream`
IntStream.`generate(IntSupplier s)`
Returns an infinite sequential unordered stream where each element is generated by the provided `IntSupplier`.